## golang-github-fsmiamoto-git-todo-parser 0.0.5+git20240618.3061a9b

=== Makefile ===
GO := $(shell which go)

all: build

test:
	$(GO) test -v ./...


.PHONY: all test

## golang-github-fsmiamoto-git-todo-parser 0.0.5

=== debian/changelog ===
golang-github-fsmiamoto-git-todo-parser (0.0.5-2) unstable; urgency=medium

  * Team Upload.
    + Source-only upload

 -- Nilesh Patra <nilesh@debian.org>  Sat, 30 Sep 2023 17:36:32 +0530

golang-github-fsmiamoto-git-todo-parser (0.0.5-1) unstable; urgency=medium

  * Initial release (Closes: #1051361)

 -- Jongmin Kim <jmkim@pukyong.ac.kr>  Sat, 09 Sep 2023 11:20:42 +0530

=== debian/control ===
Source: golang-github-fsmiamoto-git-todo-parser
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jongmin Kim <jmkim@pukyong.ac.kr>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev <!nocheck>
Standards-Version: 4.6.2
Homepage: https://github.com/fsmiamoto/git-todo-parser
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-fsmiamoto-git-todo-parser
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-fsmiamoto-git-todo-parser.git
XS-Go-Import-Path: fsmiamoto/git-todo-parser
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-fsmiamoto-git-todo-parser-dev
Architecture: all
Depends: ${misc:Depends}
Description: Small parser for git todo files
 A small parser for git todo files.
 .
 This package provides the library for parsing the git todo files.

## golang-github-fsmiamoto-git-todo-parser 0.0.5+git20240618.3061a9b

=== debian/changelog ===
golang-github-fsmiamoto-git-todo-parser (0.0.5+git20240618.3061a9b-1) unstable; urgency=medium

  * New upstream release 0.0.5+git20240618.3061a9b
  * d/control
    + Standards-Version: 4.7.2
    + Use @d.o address
    + Add missing path in XS-Go-Import-Path
  * d/gbp.conf: Disable upstream-tag
  * d/*/lintian-overrides: Override long pkg name

 -- Jongmin Kim <jmkim@debian.org>  Wed, 05 Mar 2025 19:07:08 +0900

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Jongmin Kim <jmkim@pukyong.ac.kr>
+Uploaders: Jongmin Kim <jmkim@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-stretchr-testify-dev <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/fsmiamoto/git-todo-parser
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-fsmiamoto-git-todo-parser
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-fsmiamoto-git-todo-parser.git
-XS-Go-Import-Path: fsmiamoto/git-todo-parser
+XS-Go-Import-Path: github.com/fsmiamoto/git-todo-parser
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go

=== debian/rules ===
#!/usr/bin/make -f


# Copy the test data into the build directory
export DH_GOLANG_INSTALL_EXTRA := todo/fixtures

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=4
  https://github.com/fsmiamoto/git-todo-parser/tags \
  .*/v?(\d[\d\.]+)\.tar\.gz
